:root {
    --primary-accent: #77d5ff;
    --primary-accent-hover: #ade6ff;
    --primary-accent-box-shadow: rgb(68, 183, 255, 0.2);
    --strong-black: #181818;
    --soft-grey: #606060;
    --soft-grey-hover: #cfcfcf;
    --contrast-colour: #fff;
}

.form-check-input:focus {
    box-shadow: 0 0 0 0.25rem var(--primary-accent-box-shadow);
}

.form-check-input:checked {
    background-color: var(--primary-accent);
    border-color: var(--primary-accent);
}

.btn-primary {
    background: var(--primary-accent) !important;
    border: none !important;
    color: var(--strong-black) !important;
    font-size: 1.2em;
    padding: 0.6em 2em;
    border-radius: 15px;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

b, h1, button, a, tr, td, h2, label, p, li {
    -webkit-user-select: none;
}

.hidden-link {
    color: inherit;
    text-decoration: none;
}

.morning-shift {
    background-color: #89EBFF;
}

.afternoon-shift {
    background-color: #FFBD7D;
}

.evening-shift {
    background-color: #FF6D6F;
}

.night-shift {
    background-color: #BCA3FF;
}

.foreign-shift {
    background-color: #808080;
}

.holiday-request {
    background-color: #a6e0b5;
}

.illness-request {
    background-color: #974b4b;
}

.absence-request {
    background-color: #ffc0c0;
}

.work-request {
    background-color: #f7ff9f;
}

/* General fade-in animation utility classes */
.fade-in {
    opacity: 0;
    transform: translateY(-30px);
    animation: fadeInDown 0.7s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

@keyframes fadeInDown {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.form-check-input {
    --bs-border-color: #505050
}

.fade-in.delay-1 {
    animation-delay: 0.1s;
}

.fade-in.delay-2 {
    animation-delay: 0.2s;
}

.fade-in.delay-3 {
    animation-delay: 0.3s;
}

.fade-in.delay-4 {
    animation-delay: 0.4s;
}

.fade-in.delay-5 {
    animation-delay: 0.5s;
}

.fade-in.delay-6 {
    animation-delay: 0.6s;
}

.fade-in.delay-7 {
    animation-delay: 0.7s;
}

.fade-in.delay-8 {
    animation-delay: 0.8s;
}

.fade-in.delay-9 {
    animation-delay: 0.9s;
}

.fade-in.delay-10 {
    animation-delay: 1s;
}
